Debian Bug report logs - #20471
dpkg: check rdepends on unpack

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Yann Dirson <dirson@debian.org>

Date: Tue, 31 Mar 1998 10:18:01 UTC

Severity: important

Merged with 170825, 217862, 270545, 464907, 481823, 573082

Found in versions 1.10.15, 1.10.23, 1.10.9, 1.4.0.21, dpkg/1.14.16.6, dpkg/1.14.19, dpkg/1.14.25, dpkg/1.15.5.6

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Klee Dienes and Ian Jackson <dpkg-maint@chiark.greenend.org.uk>:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@a2points.com>:
New bug report received and forwarded. Copy sent to Klee Dienes and Ian Jackson <dpkg-maint@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@a2points.com>
To: Debian bug-system submission <submit@bugs.debian.org>
Subject: dpkg ignores conflict with unconfigured package
Date: Tue, 31 Mar 1998 08:48:09 +0200
Package: dpkg
Version: 1.4.0.21

Here are the relations between "kbd" and "kbd-compat":

	kbd-compat Replaces/Provides/Conflicts: kbd

While installing kbd-compat which has a dep unsatisfied:

====
$ debpkg -iEB ../kbd-compat_1997.10.28-1_all.deb ../console-tools_1997.10.28-1_i386.deb ../console-tools-libs_1997.10.28-1_i386.deb
Selecting previously deselected package kbd-compat.
dpkg: considering removing kbd in favour of kbd-compat ...
dpkg: yes, will remove kbd in favour of kbd-compat.
[...]
dpkg: dependency problems prevent configuration of kbd-compat:
 kbd-compat depends on console-tools (>= 1997.10.28-1); however:
  Package console-tools is not installed.
dpkg: error processing kbd-compat (--install):
 dependency problems - leaving unconfigured
====

Then, when asked to re-install kbd, on top of unconfigured kbd-compat:

====
$ debpkg -iEB ~/trav/deb/mine/out/kbd_0.95-10_i386.deb 
(Reading database ... 45824 files and directories currently installed.)
Unpacking kbd (from .../mine/out/kbd_0.95-10_i386.deb) ...
dpkg: error processing /home/dwitch/trav/deb/mine/out/kbd_0.95-10_i386.deb (--install):
 trying to overwrite `/usr/bin/setfont', which is also in package kbd-compat
dpkg-deb: subprocess paste killed by signal (Broken pipe)
====

It seems that the fact that kbd-compat is unconfigured prevents dpkg
from seeing the conflict, which should IMHO have told it to remove
kbd-compat in favour of kbd.

-- 
Yann Dirson  <ydirson@a2points.com>      | Stop making M$-Bill richer & richer,
alt-email:     <dirson@univ-mlv.fr>      |     support Debian GNU/Linux:
debian-email:   <dirson@debian.org>      |         more powerful, more stable !
http://www.a2points.com/homepage/3475232 | Check <http://www.debian.org/>


Bug closed, send any further explanations to Yann Dirson <ydirson@a2points.com> Request was from Yann Dirson <dirson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Yann Dirson <dirson@debian.org>. Request was from Yann Dirson <dirson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org. Full text and rfc822 format available.

Message #14 received at 20471@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 20471@bugs.debian.org
Subject: 20471 what's going on?
Date: 07 Oct 2002 21:05:21 +0200
-------------------------------------
dpkg: considering removing kbd in favour of kbd-compat ...
dpkg: yes, will remove kbd in favour of kbd-compat.
[...]
dpkg: dependency problems prevent configuration of kbd-compat:
 kbd-compat depends on console-tools (>= 1997.10.28-1); however:
  Package console-tools is not installed.
-------------------------------------

I don't understand why dpkg would start to install a package
with unmet dependencies and then abort at configuration time.

--
Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Adam Heath <doogie@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org. Full text and rfc822 format available.

Message #19 received at 20471@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: Thomas Hood <jdthood@yahoo.co.uk>, <20471@bugs.debian.org>
Subject: Re: Bug#20471: 20471 what's going on?
Date: Mon, 7 Oct 2002 14:42:15 -0500 (CDT)
On 7 Oct 2002, Thomas Hood wrote:

> -------------------------------------
> dpkg: considering removing kbd in favour of kbd-compat ...
> dpkg: yes, will remove kbd in favour of kbd-compat.
> [...]
> dpkg: dependency problems prevent configuration of kbd-compat:
>  kbd-compat depends on console-tools (>= 1997.10.28-1); however:
>   Package console-tools is not installed.
> -------------------------------------
>
> I don't understand why dpkg would start to install a package
> with unmet dependencies and then abort at configuration time.

Packages can exist in an unpacked state with unmet dependencies.  A dependency
only needs to be resolved before a package is configured.  It has always been
this way.




Tags added: wontfix Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: wontfix Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 20471 170825 217862 270545. Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from kari@sammakko.yok.utu.fi (Kari Pahula) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #36 received at 20471@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 170825@bugs.debian.org, 20471@bugs.debian.org
Subject: Patch is not correct :-/
Date: Tue, 30 Oct 2007 15:16:13 +0000
tags 170825 - patch
severity 170825 normal
thanks

I have checked the supposed patch for this bug, which is in #170825,
and I'm afraid it's not right at all.  It changes dependencies_ok in
packages.c which is used during configure and remove.  What is needed
is to enhance the checks which happen before unpack.

I'll prepare a replacement patch.

Ian.




Tags removed: patch Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. (Tue, 30 Oct 2007 15:18:05 GMT) Full text and rfc822 format available.

Severity set to `normal' from `important' Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. (Tue, 30 Oct 2007 15:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #45 received at 20471@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 20471@bugs.debian.org
Subject: patch to check rdepends on unpack
Date: Tue, 30 Oct 2007 20:10:10 +0000
tags 20471 + patch
thanks

I have prepared and tested a change that fixes this problem.
It's available at
  http://www.chiark.greenend.org.uk/~ian/git/dpkg/dpkg.bugfixes/
as the branch
  bug20471

Here is the changelog entry for completeness:
  * Check dependencies _on_ the package we're to upgrade.  Closes: #20471.
    This ensures that the new package will (when it is configured) will
    satisfy the current setup.  We don't mind already-broken dependencies.
  * Some additional useful comments in about dependencies in processarc.c.

This branch was made from dpkg.triggers so the triggers changes should
probably be merged first.

Ian.




Tags added: patch Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. (Tue, 30 Oct 2007 20:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #52 received at 20471@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Ian Jackson <ian@davenant.greenend.org.uk>, 20471@bugs.debian.org
Subject: Re: Bug#20471: patch to check rdepends on unpack
Date: Tue, 30 Oct 2007 23:03:12 +0100
On Tue, 30 Oct 2007, Ian Jackson wrote:
> tags 20471 + patch
> thanks
> 
> I have prepared and tested a change that fixes this problem.
> It's available at
>   http://www.chiark.greenend.org.uk/~ian/git/dpkg/dpkg.bugfixes/
> as the branch
>   bug20471

Please either attach a copy of the patch or use git.debian.org so that we
can browse the changes via gitweb. 

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #57 received at 20471@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 20471@bugs.debian.org
Subject: Re: Bug#20471: patch to check rdepends on unpack
Date: Wed, 31 Oct 2007 14:23:55 +0000
Raphael Hertzog writes ("Bug#20471: patch to check rdepends on unpack"):
> Please either attach a copy of the patch or use git.debian.org so that we
> can browse the changes via gitweb. 

It's now at
 http://git.debian.org/?p=users/iwj/dpkg.git
 git://git.debian.org/git/users/iwj/dpkg.git
etc. as the branch
 bug20471

Thanks for your help, Raphael.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #62 received at 20471@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Ian Jackson <ian@davenant.greenend.org.uk>, 20471@bugs.debian.org
Subject: Re: Bug#20471: patch to check rdepends on unpack
Date: Wed, 31 Oct 2007 21:54:28 +0100
[Message part 1 (text/plain, inline)]
On Wed, 31 Oct 2007, Ian Jackson wrote:
> Raphael Hertzog writes ("Bug#20471: patch to check rdepends on unpack"):
> > Please either attach a copy of the patch or use git.debian.org so that we
> > can browse the changes via gitweb. 
> 
> It's now at
>  http://git.debian.org/?p=users/iwj/dpkg.git
>  git://git.debian.org/git/users/iwj/dpkg.git
> etc. as the branch
>  bug20471

It doesn't seem to depend on your trigger branch so it would have been
better applied on the official master branch. (Also as long as it's a
single commit it doesn't matter much)

I just did that locally and attached is the corresponding patch (created
by git-format-patch for easy inclusion). I adjusted the commit log, the
changelog and fixed some trailing spaces (that the pre-commit hook
forbid me to commit).

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/
[bug20471.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #67 received at 20471@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 20471@bugs.debian.org
Subject: Re: Bug#20471: patch to check rdepends on unpack
Date: Thu, 1 Nov 2007 12:54:13 +0000
Raphael Hertzog writes ("Re: Bug#20471: patch to check rdepends on unpack"):
> I just did that locally and attached is the corresponding patch (created
> by git-format-patch for easy inclusion). I adjusted the commit log, the
> changelog and fixed some trailing spaces (that the pre-commit hook
> forbid me to commit).

Where is your patch available as a public git branch ?

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #72 received at 20471@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Ian Jackson <ian@davenant.greenend.org.uk>, 20471@bugs.debian.org
Subject: Re: Bug#20471: patch to check rdepends on unpack
Date: Thu, 1 Nov 2007 17:46:34 +0100
Hi,

On Thu, 01 Nov 2007, Ian Jackson wrote:
> Raphael Hertzog writes ("Re: Bug#20471: patch to check rdepends on unpack"):
> > I just did that locally and attached is the corresponding patch (created
> > by git-format-patch for easy inclusion). I adjusted the commit log, the
> > changelog and fixed some trailing spaces (that the pre-commit hook
> > forbid me to commit).
> 
> Where is your patch available as a public git branch ?

bug20471 branch in git://git.debian.org/~rhertzog/dpkg.git
http://git.debian.org/?p=users/hertzog/dpkg.git;a=shortlog;h=bug20471

On Thu, 01 Nov 2007, Ian Jackson wrote:
> Raphael Hertzog writes ("Re: Bug#20471: patch to check rdepends on unpack"):
> > I just did that locally and attached is the corresponding patch (created
> > by git-format-patch for easy inclusion). I adjusted the commit log, the
> > changelog and fixed some trailing spaces (that the pre-commit hook
> > forbid me to commit).
> 
> Firstly, surely applying patches, rather than merging using the RCS,
> defeats the purpose of using the RCS ?

As long as the serie of patches matches the series of commits, it doesn't
make any difference for git. git-format-patch and git-am are precisely
used to exchange "changesets" over email.

(We come again to the same discussion: it's the content that matters not the
precise id of the commit)

> Secondly, what is wrong with a bit of trailing whitespace ?

Not much, except that we advise to enable the default pre-commit hooks and
it forbids committing with trailing whitespaces (but the reason we suggest
this is that it also forbids to commit conflict markers, and some
translators managed to do this).

And I got caught by this after cherry-picking your commit on top of the
official master branch.

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #77 received at 20471@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 20471@bugs.debian.org
Subject: Re: Bug#20471: patch to check rdepends on unpack
Date: Thu, 1 Nov 2007 18:48:12 +0000
Raphael Hertzog writes ("Re: Bug#20471: patch to check rdepends on unpack"):
> bug20471 branch in git://git.debian.org/~rhertzog/dpkg.git
> http://git.debian.org/?p=users/hertzog/dpkg.git;a=shortlog;h=bug20471

For the record, while I think trailing whitespace is hardly a big
crime :-), that commit (17b87fa1) is obviously also fine by me.  I
don't have an opinion about which of these should be applied.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #82 received at 20471@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 20471@bugs.debian.org
Subject: Rebased patch
Date: Fri, 18 Jan 2008 11:09:52 +0100
[Message part 1 (text/plain, inline)]
FWIW, I just rebased Ian's patch and fixed the small conflict. It only
needs some further tweaking for the 0 => NULL changes in theory.

(But I did no tests by myself)

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/
[0001-Check-dependencies-_on_-the-package-we-re-to-upgrade.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#20471; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #87 received at 20471@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 464907@bugs.debian.org
Cc: 20471@bugs.debian.org
Subject: Re: Bug#464907: dpkg seems not to check for broken versioned dependencies when upgrading
Date: Mon, 11 Feb 2008 16:46:46 -0500
[Message part 1 (text/plain, inline)]
> I haven't checked, but this sounds very similar to #20471. There's a patch
> in that bug. If you can take some time to verify if it also fixes this
> issue, it would be nice.

I applied this patch on top of current git master
(rev 98cdd8883f0661e24ff72d4c29d73554586eddf8), and have been using it
today while doing whatever, and it seemed to cause this failure:

root@kodama:/home/joey/tmp/xterm-231>dpkg -i ../xterm_231-2boldmode1_i386.deb
dpkg: ../../src/depcon.c:218: depisok: Assertion `dep->type == dep_depends || dep->type == dep_predepends || dep->type == dep_breaks || dep->type == dep_conflicts || dep->type == dep_recommends || dep->type == dep_suggests || dep->type == dep_enhances' failed.

Other packages installed ok; I was able to downgrade to unstable's dpkg
and then install xterm successfully.

Here's the package's header, just in case:

 Package: xterm
 Version: 231-2boldmode1
 Architecture: i386
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Installed-Size: 1108
 Depends: libc6 (>= 2.7-1), libfontconfig1 (>= 2.4.0), libice6 (>= 1:1.0.0), libncurses5 (>= 5.6+20071006-3), libsm6, libx11-6, libxaw7, libxext6, libxft2 (>> 2.1.1), libxmu6, libxt6, xbitmaps
 Recommends: xutils
 Suggests: xfonts-cyrillic
 Provides: x-terminal-emulator
 Section: x11
 Priority: optional

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 20471 170825 217862 270545 481823. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 24 May 2008 04:39:04 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. (Sat, 24 May 2008 08:36:04 GMT) Full text and rfc822 format available.

Forcibly Merged 20471 170825 217862 270545 464907 481823. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Fri, 15 Aug 2008 06:03:02 GMT) Full text and rfc822 format available.

Forcibly Merged 20471 170825 217862 270545 464907 481823 573082. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 08 Mar 2010 21:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#20471; Package dpkg. (Mon, 08 Mar 2010 21:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Mon, 08 Mar 2010 21:09:06 GMT) Full text and rfc822 format available.

Message #100 received at 20471@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>, control@bugs.debian.org
Cc: 20471@bugs.debian.org
Subject: Re: dpkg: Please check versioned reverse-depends at install time
Date: Mon, 8 Mar 2010 15:05:57 -0600
retitle 20471 dpkg: check rdepends on unpack
thanks

Raphael Hertzog wrote:

> Yes we want that, but another bug is not needed it's a very old one that is
> marked as important, it has a preliminary patch by Ian Jackson

Oh!  That’s good to hear.

> but it
> doesn't work suitably yet.
> 
> See #20471 for details. Your help is welcome if you feel like tackling
> this one. :-)

If I can find some time, I will.

Many thanks,
Jonathan




Changed Bug title to 'dpkg: check rdepends on unpack' from '[DPKG] does not check whether installing package is c/r/p'd by installed package' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 08 Mar 2010 21:09:09 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 06 May 2010 13:33:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:06:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.